#! /bin/sh

if test "$1" = "-v" ; then
	echo "perl mkincludes.pl -v"
	perl mkincludes.pl -v
	echo "aclocal --verbose"
	aclocal --verbose
	echo "automake -v"
	automake -v
	echo "autoconf"
	autoconf
elif test "$1" = "" ; then
	echo "perl mkincludes.pl"
	perl mkincludes.pl
	echo "aclocal"
	aclocal
	echo "automake"
	automake
	echo "autoconf"
	autoconf
else
	echo "Usage:" 1>&2
	echo "   $0 [-v]" 1>&2
	echo "-v means verbose.  VERY verbose." 1>&2
	exit 1
fi

echo "Next run ./configure"

